Name:       rpm-helper
Version:    0.24.21
Release:    %mkrel 1
Summary:    Helper scripts for rpm scriptlets
License:    GPL
Group:      System/Packaging
URL:        http://gitweb.mageia.org/software/rpm/rpm-helper/
Source0:    %{name}-%{version}.tar.xz
Requires:   grep
Requires(pre): shadow-utils
Requires:   shadow-utils
Requires:   chkconfig
Requires:   coreutils
# for addgroup which uses xargs
Requires:   findutils
# for /etc/passwd and /etc/group
Requires:   setup
# for /bin/systemctl
Requires:   systemd-units
# for add-service usage of /bin/mountpoint
Requires:   util-linux >= 2.24-1
Conflicts:  chkconfig < 1.3.4-10
BuildArch:  noarch

%description
Helper scripts for rpm installation.

%prep
%setup -q

%install
%make_install

%check
%__make test

%files
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_sys_macros_dir}/%{name}.macros
%{_localstatedir}/lib/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/ssl


%changelog
* Sun Dec 20 2020 guillomovitch <guillomovitch> 0.24.21-1.mga8
+ Revision: 1661680
- new version 0.24.21

* Sun Oct 04 2020 wally <wally> 0.24.20-1.mga8
+ Revision: 1632196
- new version 0.24.20
  * default to 4096 bit SSL certificates (mga#27359)

* Sat Jul 25 2020 ovitters <ovitters> 0.24.18-1.mga8
+ Revision: 1609001
- new version: 0.24.18
- correctly check if systemd has booted
- show project as Mageia instead of Mandriva
- fix loads of ShellCheck issues

* Wed Feb 12 2020 umeabot <umeabot> 0.24.17-6.mga8
+ Revision: 1499564
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.24.17-5.mga7
+ Revision: 1274946
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Fri Feb 19 2016 umeabot <umeabot> 0.24.17-4.mga6
+ Revision: 969336
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.24.17-3.mga6
+ Revision: 867882
- rebuild for mga6
- rebuild for new gcc

* Wed Apr 01 2015 colin <colin> 0.24.17-1.mga5
+ Revision: 819544
- New version: 0.24.17
- * Default SSL certificates to 2048 (mga#15576)

* Tue Oct 28 2014 colin <colin> 0.24.16-1.mga5
+ Revision: 794060
- New version: 0.24.16

* Mon Oct 27 2014 colin <colin> 0.24.15-1.mga5
+ Revision: 793915
- New version: 0.24.15

* Wed Oct 15 2014 umeabot <umeabot> 0.24.14-2.mga5
+ Revision: 747908
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 colin <colin> 0.24.14-1.mga5
+ Revision: 737702
- New version: 0.24.14

* Wed Oct 08 2014 colin <colin> 0.24.13-1.mga5
+ Revision: 737583
- New version: 0.24.13

* Tue Sep 16 2014 umeabot <umeabot> 0.24.12-2.mga5
+ Revision: 688703
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 colin <colin> 0.24.12-1.mga5
+ Revision: 657622
- New version: 0.24.11
- o Use preset rather than enable to honour admin service policy
- o Remove unnecessary hack for sysvinit only package removal
- o Drop unneeded/unused macros/scripts

* Thu Oct 31 2013 tmb <tmb> 0.24.11-5.mga4
+ Revision: 548697
- require util-linux >= 2.24-1 for add-service usage of /bin/mountpoint

* Fri Oct 18 2013 umeabot <umeabot> 0.24.11-4.mga4
+ Revision: 521427
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.24.11-3.mga3
+ Revision: 390814
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.24.11-2.mga3
+ Revision: 380454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 colin <colin> 0.24.11-1.mga3
+ Revision: 300989
- New version: 0.24.11
  o mark a systemd-only service as 'migrated' on install to avoid checking for
    sysvinit migration when next upgraded.
  o deal slightly better with non-releative symlinks in chroots in units names.

* Mon Apr 30 2012 colin <colin> 0.24.10-1.mga2
+ Revision: 234364
- Add missing source
- New version: 0.24.10
- Fix bug where invalid exit status leaked from the script accidentally.
- Prefer native systemd enable rules over manual linking

* Mon Apr 30 2012 colin <colin> 0.24.9-1.mga2
+ Revision: 234298
- New version: 0.24.9
- Fix handling of masked and symlinked unit names

* Tue Apr 03 2012 colin <colin> 0.24.8-1.mga2
+ Revision: 228192
- New version: 0.24.8

* Mon Mar 12 2012 guillomovitch <guillomovitch> 0.24.7-1.mga2
+ Revision: 223031
- new version

* Thu Feb 16 2012 colin <colin> 0.24.6-1.mga2
+ Revision: 209785
- New version: 0.24.6

* Thu Dec 29 2011 tmb <tmb> 0.24.5-2.mga2
+ Revision: 188774
- make sure shadow-utils are installed before rpm-helper (mga #3916)

* Tue Dec 13 2011 dmorgan <dmorgan> 0.24.5-1.mga2
+ Revision: 181307
- Add support for systemd .path files

* Tue Dec 13 2011 dmorgan <dmorgan> 0.24.4-2.mga2
+ Revision: 181186
- Requires systemd-units for services macros, that use /bin/systemctl ( mga #3484)

* Thu Nov 03 2011 colin <colin> 0.24.4-1.mga2
+ Revision: 162107
- New version: 0.24.4

* Sun Oct 30 2011 dmorgan <dmorgan> 0.24.2-1.mga2
+ Revision: 160203
- New version 0.24.2

* Fri Oct 28 2011 dmorgan <dmorgan> 0.24.1-1.mga2
+ Revision: 158904
- New version 0.24.1 with systemd support improved

* Tue Jan 25 2011 tmb <tmb> 0.23.4-3.mga1
+ Revision: 39357
- add P0: fix add-service / del-service broken by added systemd support

* Tue Jan 25 2011 nanardon <nanardon> 0.23.4-1.mga1
+ Revision: 39050
- 0.23.4
- imported package rpm-helper


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.23.1-2mdv2011.0
+ Revision: 607374
- rebuild

* Mon May 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.23.1-1mdv2010.1
+ Revision: 546722
- new release

* Thu Feb 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.23.0-1mdv2010.1
+ Revision: 500970
- new version

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 0.22.2-1mdv2010.0
+ Revision: 460267
- 0.22
- do not stop service during install
  (or else shorewall will be stopped because moved in another
   package, making the install hang for a while)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.22.1-3mdv2010.0
+ Revision: 426959
- rebuild

* Tue Mar 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22.1-2mdv2009.1
+ Revision: 362952
- fix stupid typo (I shouldn't mix cosmetic with bugfix changes)

* Mon Mar 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22.1-1mdv2009.1
+ Revision: 362597
- new version

* Sun Mar 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22.0-1mdv2009.1
+ Revision: 362215
- new version

* Sat Feb 21 2009 Olivier Thauvin <nanardon@mandriva.org> 0.21.4-3mdv2009.1
+ Revision: 343622
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.21.4-2mdv2009.0
+ Revision: 225332
- rebuild

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 0.21.4-1mdv2008.1
+ Revision: 191702
- workaround services "disabled" by default getting disabled on upgrade (#39720)

* Fri Mar 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.3-1mdv2008.1
+ Revision: 187904
- new version

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 0.21.2-2mdv2008.1
+ Revision: 176881
- require setup (for /etc/passwd and /etc/group), to fix messagebus/avahi user/group creation

* Thu Feb 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.2-1mdv2008.1
+ Revision: 168389
- new version

* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.1-1mdv2008.1
+ Revision: 162613
- new version

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.0-1mdv2008.1
+ Revision: 158715
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20.0-1mdv2008.0
+ Revision: 80907
- new version

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.2-1mdv2008.0
+ Revision: 80408
- new version

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.1-1mdv2008.0
+ Revision: 64672
- new version

* Fri Jun 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 45753
- new version

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.18.5-1mdv2008.0
+ Revision: 25359
- Updated to 0.18.5, with following changes since 0.18.4:
  * fixed deprecated chown syntax inside create-file and del-shell
    usage inside rpm-helper.macros.in, reported by Vincent Danen on
    ticket #30568;
  * fixed my entry in AUTHORS file.


* Wed Mar 28 2007 Pixel <pixel@mandriva.com> 0.18.4-2mdv2007.1
+ Revision: 149153
- requires findutils (for addgroup which uses xargs)

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.4-1mdv2007.1
+ Revision: 134307
- new version

* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.3-1mdv2007.1
+ Revision: 133521
- new version

* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.2-1mdv2007.1
+ Revision: 133239
- new version

* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.1-1mdv2007.1
+ Revision: 133083
- new version

* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-3mdv2007.0
+ Revision: 60103
- path1: fix typo (Guillomovitch)

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-2mdv2007.0
+ Revision: 59404
- bump release
- patch0: fix #24188 (guillomovitch)
- Import rpm-helper

* Fri Jun 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.17-1mdv2007.0
- fix web macros

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.16-1mdv2007.0
- add webapp macros and scrips (G. Rousse)

* Thu Feb 09 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- add-service: handle case when a service name appears several times.

* Wed Sep 21 2005 Frederic Lepied <flepied@mandriva.com> 0.14-1mdk
- add-service: don't add the service to all the profiles in upgrade mode.

* Sun Sep 11 2005 Frederic Lepied <flepied@mandriva.com> 0.13-1mdk
- add-service: test /etc/security/msec/server wihout taking care of
  $SECURE_LEVEL (bug #18409).
- add-service:  add by default the service to all the profiles if
  ADD_SERVICES_TO_CURRENT_PROFILE_ONLY isn't set in
  /etc/sysconfig/system.

* Thu Aug 04 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.12-1mdk
- Version bump: new version that contais syslog helpers

* Fri Jul 01 2005 Olivier Thauvin <nanardon@mandriva.org> 0.11-1mdk
- provide itself its macro (rpm 4.4 powah)
- mkrel

* Fri Sep 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- add-service: add the service again on upgrade if the service is activated

